<template>
  <section class="section">
    <div class="container">
      <section class="hero">
        <div class="hero-body">
          <div class="container">
            <h3 class="subtitle">Authenticating...</h3>
            <button class="button is-medium is-static is-loading">Authenticating...</button>
          </div>
        </div>
      </section>
    </div>
  </section>
</template>

<script>
import CREATE_ACCESS_TOKEN from '@/graphql/AccessToken/CreateAccessToken.gql'
export default {
  created () {
    this.$apollo.mutate({
      mutation: CREATE_ACCESS_TOKEN,
      variables: {
        code: this.$route.query.code
      }
    }).then(({ data: { createAccessToken: { response } } }) => {
      if (response !== 200) {
        alert('Error!')
      } else this.$router.push({ name: 'dashboard' })
    }).catch(err => console.error(err))
  }
}
</script>
